#ifndef __PERSON_H__
#define __PERSON_H__

#include <iostream>
#include <string>
#include <set>
using namespace std;

class person {
    private:
        friend class people;
        string name;
        string favorite_food;
        set<person *> friends;
    public:
        person(string name, string food): name(name), favorite_food(food) {};
        void update_food(string);
        void food_friend();
        int bacon_number();
        friend ostream & operator<<(ostream &, person &);
        friend istream & operator>>(istream &, person &);
};


#endif
